import * as mc from "@minecraft/server";
import * as ui from "@minecraft/server-ui";

mc.system.beforeEvents.watchdogTerminate.subscribe(data => data.cancel = true);

mc.world.beforeEvents.itemUse.subscribe(data => {
  let { itemStack, source } = data
  const player = data.source
  if (itemStack.typeId == "wesl3y:deathnote") {
    mc.system.run(() => {
      test(player);
    })
  }
});

function test(player) {
  const form = new ui.ModalFormData();
  let katon = ["Cardiac Death", "Burn Death", "Drowned Death", "Poisoned Death", "Death Murdered", "Bleeding Death", "Exploded Death", "Suffocate Death"];
  form.title("Death Note");
  form.textField(`Name of Target`, `name`, ``);
  form.dropdown("Types of Death", katon);
  form.show(player).then((r) => {
    if (r.canceled) return;
    switch (r.formValues[1]) {
      case 0:
        player.runCommandAsync(`effect @e[c=1,name=${r.formValues[0]}] instant_damage 9999 0 true`);
        player.runCommandAsync(`execute unless entity @e[name=${r.formValues[0]}] run tellraw @s {"rawtext":[{"text":"§c"},{"translate":"death.not_found"},{"text":" ${r.formValues[0]}"}]}`);
        break;
      case 1:
        player.runCommandAsync(`tag @e[c=1,name=${r.formValues[0]}] add burn_death`);
        player.runCommandAsync(`execute unless entity @e[name=${r.formValues[0]}] run tellraw @s {"rawtext":[{"text":"§c"},{"translate":"death.not_found"},{"text":" ${r.formValues[0]}"}]}`);
        break;
      case 2:
        player.runCommandAsync(`tag @e[c=1,name=${r.formValues[0]}] add drowned_death`);
        player.runCommandAsync(`execute unless entity @e[name=${r.formValues[0]}] run tellraw @s {"rawtext":[{"text":"§c"},{"translate":"death.not_found"},{"text":" ${r.formValues[0]}"}]}`);
        break;
      case 3:
        player.runCommandAsync(`tag @e[c=1,name=${r.formValues[0]}] add poison_death`);
        player.runCommandAsync(`execute unless entity @e[name=${r.formValues[0]}] run tellraw @s {"rawtext":[{"text":"§c"},{"translate":"death.not_found"},{"text":" ${r.formValues[0]}"}]}`);
        break;
      case 4:
        player.runCommandAsync(`tag @e[c=1,name=${r.formValues[0]}] add murdered_death`);
        player.runCommandAsync(`execute unless entity @e[name=${r.formValues[0]}] run tellraw @s {"rawtext":[{"text":"§c"},{"translate":"death.not_found"},{"text":" ${r.formValues[0]}"}]}`);
        break;
      case 5:
        player.runCommandAsync(`tag @e[c=1,name=${r.formValues[0]}] add bleeding_death`);
        player.runCommandAsync(`execute unless entity @e[name=${r.formValues[0]}] run tellraw @s {"rawtext":[{"text":"§c"},{"translate":"death.not_found"},{"text":" ${r.formValues[0]}"}]}`);
        break;
      case 6:
        player.runCommandAsync(`tag @e[c=1,name=${r.formValues[0]}] add exploded_death`);
        player.runCommandAsync(`execute unless entity @e[name=${r.formValues[0]}] run tellraw @s {"rawtext":[{"text":"§c"},{"translate":"death.not_found"},{"text":" ${r.formValues[0]}"}]}`);
        break;
      case 7:
        player.runCommandAsync(`tag @e[c=1,name=${r.formValues[0]}] add suffocate_death`);
        player.runCommandAsync(`execute unless entity @e[name=${r.formValues[0]}] run tellraw @s {"rawtext":[{"text":"§c"},{"translate":"death.not_found"},{"text":" ${r.formValues[0]}"}]}`);
        break;
    }
  }
);}